%def_without test
# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(Filter/Simple.pm) perl(IO/Socket.pm) perl(Test/More.pm) perl(Text/Template.pm)
# END SourceDeps(oneline)
%define module_version 1.01
%define module_name Gimp-ScriptFu-Client
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 1.01
Release: alt1
Summary: Client for the GNU Image Manipulation Program.
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/A/AS/ASTEWART/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Gimp::ScriptFu::Client acts as a source filter in a Scheme.
script that uses Text::Template to preprocess any embedded
Perl fragments contained between { } brackets before sending
the resulting Scheme to a Gimp Script-Fu server. Each Perl
fragment may or may not produce a Scheme fragment.

The Scheme script becomes a standalone client application.

This permits using Perl for getting parameters from the real world or
for generating complex Scheme expressions, that would be more difficult or
impossible with plain Scheme.

It also makes it possible to do Perlish things with Gimp if you can't do the
compiler stuff for Gimp/Gimp::Fu for your OS. All recent Gimp versions include
the Script-Fu server.


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/G*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 1.01-alt1
- initial import by package builder

